Loading...
Searching...
No Matches
pstech.pstsdk.camerainfo.CameraInfo Class Reference

Information for a single camera in the connected PST Tracker setup. More...

## Public Member Functions
| __init__ (self, c_camera_info)
| __eq__ (self, other)

## Public Attributes
| camera_id = c_camera_info.camera_id.decode("UTF-8")
| Unique identifier of the camera.
| local_sha1 = c_camera_info.local_sha1.decode("UTF-8")
| SHA1 checksum of the local calibration file.
| server_sha1_url = c_camera_info.server_sha1_url.decode("UTF-8")
| URL to retrieve the SHA1 checksum of the corresponding server calibration file.
| calibration_url = c_camera_info.calibration_url.decode("UTF-8")
| URL to download the calibration file.

## Detailed Description

Information for a single camera in the connected PST Tracker setup.

This class provides key details for each camera, including a unique camera identifier, SHA1 checksums for calibration files, and URLs to retrieve the calibration files.

If the local calibration file cannot be read, the local_sha1 field contains one of:

- "Error - File not found": The calibration file does not exist in the expected location.
- "Error - Error reading the file": The file exists but could not be opened or read.

Note
  In multi-PST setups, SHA1 comparison results may differ even when calibration files are valid. During the registration process, the system calculates the position and orientation of all PST units relative to each other, updating local calibration files. These modifications can cause the local file checksums to differ from the original server versions.

To verify calibration validity, users can compare pstech.pstsdk.camerainfo.CameraInfo.local_sha1 with the SHA1 obtained from pstech.pstsdk.camerainfo.CameraInfo.server_sha1_url. If they do not match, updated calibration files can be downloaded from pstech.pstsdk.camerainfo.CameraInfo.calibration_url and loaded using tracker.Tracker.load_calibration_from_local_path().

See also
  tracker.Tracker.get_connected_camera_info
  tracker.Tracker

## Constructor & Destructor Documentation

## ◆ __init__()

pstech.pstsdk.camerainfo.CameraInfo.__init__ | ( |  | self,
|  |  | c_camera_info )

## Member Function Documentation

## ◆ __eq__()

pstech.pstsdk.camerainfo.CameraInfo.__eq__ | ( |  | self,
|  |  | other )

## Member Data Documentation

## ◆ calibration_url

pstech.pstsdk.camerainfo.CameraInfo.calibration_url = c_camera_info.calibration_url.decode("UTF-8")

URL to download the calibration file.

## ◆ camera_id

pstech.pstsdk.camerainfo.CameraInfo.camera_id = c_camera_info.camera_id.decode("UTF-8")

Unique identifier of the camera.

## ◆ local_sha1

pstech.pstsdk.camerainfo.CameraInfo.local_sha1 = c_camera_info.local_sha1.decode("UTF-8")

SHA1 checksum of the local calibration file.

If the file cannot be read, this field contains a descriptive error message.

## ◆ server_sha1_url

pstech.pstsdk.camerainfo.CameraInfo.server_sha1_url = c_camera_info.server_sha1_url.decode("UTF-8")

URL to retrieve the SHA1 checksum of the corresponding server calibration file.

Users can fetch the server SHA1 from this URL and compare it with the local SHA1 to verify that local calibration files are up to date.

The documentation for this class was generated from the following file:

- pstech/pstsdk/camerainfo.py